Bug 244951 - devel/py-ipyparallel: Update dependencies
Summary: devel/py-ipyparallel: Update dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks: 244934
  Show dependency treegraph
 
Reported: 2020-03-21 14:09 UTC by Danilo G. Baio
Modified: 2020-04-06 00:19 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
py-ipyparallel-dependencies.patch (1.08 KB, patch)
2020-03-21 14:09 UTC, Danilo G. Baio
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-03-21 14:09:51 UTC
Created attachment 212580 [details]
py-ipyparallel-dependencies.patch

Use latest version of ipykernel and ipython.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-22 01:57:59 UTC
Thanks Danilo

Whats the rationale/why for this change? Is it just to transition the port to using the latest? Were there issues in the past that precluded it? Are there bugfixes that get resolved by this? If so, are quarterly users also affected?

Would be good to include this rationale (even in basic form) in this issue as a comment and in the commit log message
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-22 01:58:37 UTC
I just noticed that this blocks bug 244934 which goes a way to explaining the need to switch origins
Comment 3 Danilo G. Baio freebsd_committer 2020-03-22 13:12:37 UTC
The change is to prevent conflicts with two versions of ipython and prompt_toolkit that will be installed when we have all dependencies and consumers installed. see bug 244934.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-23 01:08:34 UTC
Comment on attachment 212580 [details]
py-ipyparallel-dependencies.patch

Approved by: koobs (python, maintainer)

If QA passes (including consumers)
Comment 5 commit-hook freebsd_committer 2020-04-06 00:17:17 UTC
A commit references this bug:

Author: dbaio
Date: Mon Apr  6 00:16:21 UTC 2020
New revision: 530848
URL: https://svnweb.freebsd.org/changeset/ports/530848

Log:
  devel/py-ipyparallel: Update dependencies

  Use latest version of ipykernel and ipython.

  Following r530847.

  PR:		244951
  Approved by:	koobs (python, maintainer)

Changes:
  head/devel/py-ipyparallel/Makefile